<div style="overflow: hidden" class="{{hideExpansionButton ? 'hide-expansion-button' : ''}}">
  <div [class]="headerClass ? headerClass : 'header-container'">
    <app-expansion-button
      *ngIf="position === 'before'"
      [expansionState]="getExpandedState()"
      [disabled]="disabled"
      [selected]="selected"
      (toggle)="toggle()">
    </app-expansion-button>
    <ng-content select="[header]"></ng-content>
    <app-expansion-button
      *ngIf="position === 'after'"
      [expansionState]="getExpandedState()"
      [disabled]="disabled"
      [selected]="selected"
      (toggle)="toggle()">
    </app-expansion-button>
  </div>
  <div *ngIf="!hideDescription" [class]="descriptionClass ? descriptionClass : 'header-desc-container'">
    <ng-content select="[description]"></ng-content>
  </div>
  <div
    [class]="expansionClass ? expansionClass : 'expansion-bg'"
    [class.expanded]="(expandedChange | async)"
    [@bodyExpansion]="getExpandedState()">
    <div class>
      <ng-content select="[expansion]"></ng-content>
    </div>
  </div>
  <div [class]="footerClass ? footerClass : 'expansion-bg'">
    <ng-content select="[footer]"></ng-content>
  </div>
</div>
